Summary: Simple BASIC IDE that allows young children to learn programming
Name: basic256
Version: 1.1.4.0
Release: %mkrel 3
URL: http://www.basic256.org
Source0: %{name}_%{version}.orig.tar.gz
Source1: %{name}-0.9.6-doc.tar.gz
Source2: %{name}.desktop
Source3: %{name}_32.png
# https://sourceforge.net/p/kidbasic/bugs/29
Source4: %{name}_ru.ts
# https://sourceforge.net/p/kidbasic/bugs/27
Patch0: locale_help.patch
Patch1: basic256-1.1.4.0-isinf.patch
License: GPLv2
Group: Development/Other
BuildRequires: qt5-devel
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5SerialPort)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: qttools5
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: gcc-c++
BuildRequires: flex
BuildRequires: bison
BuildRequires: libespeak-devel

%description
BASIC-256 is a simple BASIC IDE, that allows young children
to learn programming. It was written in response to David
Brin's article, "Why Johnny Can't Code", in which he bemoans
the lack of a simple, line-oriented programming language
for children that runs on modern computers. It features a
byte-code compiler and interpreter, a debugger, easy to use
graphical and text output, and an editor.

%prep
%setup -q -n %{name}-%{version} -a1
cp -f %{SOURCE4} ./Translations/
%apply_patches
# https://sourceforge.net/p/kidbasic/bugs/32
chmod -x doc/en/*.html
chmod -x doc/en/*.css
chmod -x doc/ru/*.html
chmod -x doc/ru/*.css

%build
%qmake_qt5 BASIC256.pro
%make
%{_qt5_bindir}/lrelease Translations/*.ts

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/Examples
mkdir -p %{buildroot}%{_datadir}/%{name}/help
install -D %{name} %{buildroot}%{_bindir}/%{name}
install Translations/*.qm %{buildroot}%{_datadir}/%{name}/
install -Dm 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png
cp -r Examples %{buildroot}%{_datadir}/%{name}/
cp -r doc/en/ %{buildroot}%{_datadir}/%{name}/help/
cp -r doc/ru/ %{buildroot}%{_datadir}/%{name}/help/

%files
%doc CONTRIBUTORS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png



%changelog
* Wed Mar 02 2016 blino <blino> 1.1.4.0-3.mga6
+ Revision: 981752
- attempt to fix build of Interpreter.cpp with the isinf function

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jun 26 2015 alexl <alexl> 1.1.4.0-1.mga6
+ Revision: 845061
- update russian translation
- adapt work with help (help.patch)
- switch to qt5
- version 1.1.4.0

* Wed Jan 14 2015 alexl <alexl> 1.1.0.0-6.mga5
+ Revision: 810680
- updated desktop file

* Sun Nov 23 2014 alexl <alexl> 1.1.0.0-5.mga5
+ Revision: 798459
- added translatable Comment and GenericName and translated into Russian

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0.0-4.mga5
+ Revision: 744355
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 alexl <alexl> 1.1.0.0-3.mga5
+ Revision: 693141
- used macroses for build
- fixed permissions for *.html, *.css, *.desktop
- enabled parallel build

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0.0-2.mga5
+ Revision: 678122
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 alexl <alexl> 1.1.0.0-1.mga5
+ Revision: 612814
- imported package basic256

